Bug 832351 - CVE-2012-2385 mosh: mosh server DoS (long loop) due improper parsing of terminal parameters in terminal dispatcher [epel-all]
CVE-2012-2385 mosh: mosh server DoS (long loop) due improper parsing of termi...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mosh (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Alex Chernyakhovsky
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2385
  Show dependency treegraph
 
Reported: 2012-06-15 04:40 EDT by Stefan Cornelius
Modified: 2012-07-07 15:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 15:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-06-15 04:40:10 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=823943

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-06-15 09:28:18 EDT
mosh-1.2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6150/mosh-1.2.2-1.el6
Comment 2 Fedora Update System 2012-06-20 10:52:03 EDT
mosh-1.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mosh-1.2.2-1.el5
Comment 3 Fedora Update System 2012-06-22 12:02:47 EDT
Package mosh-1.2.2-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mosh-1.2.2-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6229/mosh-1.2.2-1.el5
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-03 15:34:42 EDT
mosh-1.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-07 15:28:54 EDT
mosh-1.2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.